diff lib-src/tm-au @ 371:cc15677e0335 r21-2b1

Import from CVS: tag r21-2b1
author cvs
date Mon, 13 Aug 2007 11:03:08 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib-src/tm-au	Mon Aug 13 11:03:08 2007 +0200
@@ -0,0 +1,57 @@
+#!/bin/sh -
+#
+# $Id: tm-au,v 1.6 1997/02/15 22:20:26 steve Exp $
+#
+# Copyright 1994,1995,1996,1997 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs; see the file COPYING.  If not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+PATH=${PATH:-/usr/bin:/bin}:`dirname $0 2>/dev/null`; export PATH
+
+if [ "$TM_TMP_DIR" = "" ]; then
+	TM_TMP_DIR=/tmp
+	export TM_TMP_DIR
+fi
+
+if [ "$5" = "" ]; then
+	filename="$TM_TMP_DIR/mime$$.au"
+else
+	filename="$TM_TMP_DIR/$5"
+fi
+
+
+case "$4" in
+"play")
+	echo "$2; $3 ->"
+	tmdecode $3 $1 $filename
+	if [ "$AUDIOSERVER" = "" ]; then
+          case "`uname`" in
+            IRIX )  sfplay $filename           ;;
+            OSF1 )  decsound -play $filename   ;;
+            *    )  cat $filename > /dev/audio ;;
+          esac
+	else
+          autool -v 40 $filename
+	fi
+        
+	trap 'rm -f $filename' 0 1 2 3 13 15
+	;;
+"extract")
+	echo "$2; $3 -> $filename"
+	echo "extract to $filename"
+	tmdecode $3 $1 $filename
+	;;
+esac